Get Summary Of Transactions¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| wallet_code Required | String | Wallet name |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| coin_name Required | String | Asset name Allowed Value: Refer to Coin Name (API) column in Supported Token |
| tx_types Optional | String[] | Transaction types |
| addresses Optional | String[] | Addresses |
| offset Optional | Integer | 0 by default |
| limit Optional | Integer | 10 by default |
| create_time_order Optional | Integer | Sort by creation time, 0 means in descending order, 1 means in ascending order; The result will be descending order by default Allowed values: 0, 1 |
| start_time Optional | Long | Start timestamp (0 by default) |
| end_time Optional | Long | End timestamp (current time by default) |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Wallet detail (see data object details below). |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of records |
| list | Object[] | List of all transactions (see list object details below) |
list (object)
| Field | Type | Description |
|---|---|---|
| wallet_code | String | Wallet ID |
| wallet_name | String | Wallet name |
| chain | String | Chain name |
| wallet_type | String | Wallet type Allowed values: MIXED_ADDRESS, SEGREGATED_ADDRESS |
| coin_name | String | Asset name |
| order_no | String | Order ID |
| block_height | Long | Block height |
| tx_id | String | Transaction hash |
| tx_type | String | Transaction types Allowed values: See Transaction Types for the full list and descriptions. |
| amount | Decimal | Transaction amount |
| amount_str | String | Transaction amount in string format |
| tx_fee | Decimal | Transaction fee |
| tx_fee_str | String | Transaction fee in string format |
| wallet_balance | Decimal | Wallet balance after transaction |
| wallet_balance_str | String | Wallet balance after transaction in string format |
| remark_detail | String | Remark detail |
| tx_time_stamp | Long | Transaction timestamp |
| create_time_stamp | Long | Create timestamp |
| contract_address | String | The contract address of the selected token. This value corresponds to the Smart Contract field in the Supported Tokens list. |
| token_id | String | Return only when the transaction involves an NFT; otherwise null. |
Response Example¶
{
"code": 0,
"message": "",
"successful": true,
"data": {
"offset": 0,
"limit": 10,
"list": [
{
"wallet_code": "CHTRON5526471577",
"wallet_name": "",
"chain": "TRON",
"wallet_type": "MIXED_ADDRESS",
"coin_name": "USDTTRC",
"order_no": "",
"block_height": 62532917,
"tx_id": "b8eeceef6ee8311eb799a3ba45e95b33c3a402c94e3bbb3da0df87122f97b73a",
"tx_type": "DEPOSIT",
"amount": 20000000,
"amount_str": "20000000",
"tx_fee": null,
"tx_fee_str": null,
"wallet_balance": 434999000,
"wallet_balance_str": "434999000",
"remark_detail": null,
"tx_time_stamp": 1764035742000,
"create_time_stamp": 1764035767000,
"contract_address": "TE5PfGcxG7DuqFC61HQHBFBrShM64u3LDx",
"token_id": null
}
],
"total": 1
}
}